[project]
name = "sprint-econtai"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.13"
dependencies = [
    "coloraide>=4.6",
    "dotenv>=0.9.9",
    "graphviz>=0.20.3",
    "jupyter>=1.1.1",
    "litellm==1.67.0",
    "matplotlib>=3.10.3",
    "notebook>=7.4.1",
    "openai>=1.76.0",
    "openpyxl>=3.1.5",
    "pandas>=2.2.3",
    "pyarrow>=20.0.0",
    "pyvis>=0.3.2",
    "requests>=2.32.3",
    "scipy",
    "seaborn>=0.13.2",
    "tenacity>=9.1.2",
    "tqdm>=4.67.1",
]


[tool.pytest.ini_options]
pythonpath = "src"
addopts = "-v"
asyncio_mode = "auto"

[tool.black]
line-length = 100

[tool.isort]
profile = "black"

[dependency-groups]
dev = []
